## GAS enumerations and flags GAS enumerations and flags |

## Functions

const gchar * | qmi_gas_firmware_listing_mode_get_string ()

## Types and Values

enum | QmiGasFirmwareListingMode

## Object Hierarchy

        GEnum
        ╰── QmiGasFirmwareListingMode

## Description

This section defines enumerations and flags used in the GAS service interface.

## Functions

### qmi_gas_firmware_listing_mode_get_string ()

    const gchar *
    qmi_gas_firmware_listing_mode_get_string
                                   (QmiGasFirmwareListingMode val);

Gets the nickname string for the QmiGasFirmwareListingMode specified at `val` .

#### Parameters

val | a QmiGasFirmwareListingMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.24

## Types and Values

### enum QmiGasFirmwareListingMode

Mode when retrieving a list of stored firmwares.

#### Members

QMI_GAS_FIRMWARE_LISTING_MODE_ACTIVE_FIRMWARE | List only the active firmware. |
QMI_GAS_FIRMWARE_LISTING_MODE_ALL_FIRMWARE | List all stored firmwares. |
QMI_GAS_FIRMWARE_LISTING_MODE_SPECIFIC_FIRMWARE | List only specific firmware with condition. |

Since: 1.24